@require '../global.styl';


$loading-placeholder-color = $lightgray;

loadingOverlay(basecolor = rgba(255, 255, 255, 0)) {
  position:relative;
  overflow: hidden;

  @keyframes phAnimation {
    0% { transform: translate(-30%) } 
    100% { transform: translate(30%) } 
  }
  &::before {
    content: " ";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 50%;
    z-index: 1;
    width: 500%;
    margin-left: -250%;
    animation: phAnimation 0.8s linear infinite;
    background: linear-gradient(to right, basecolor 46%, rgba(255, 255, 255, 0.35) 50%, basecolor 54%) 50% 50%; 
  }
  &:active{
    filter: initial;  /* disable the effect of clickable() (see clickable.styl) */
  }
}
